package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学生课程作业留言表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_course_homework_reply")
public class StudentCourseHomeworkReply extends Model<StudentCourseHomeworkReply> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 作业编号
     */
    @TableField("student_course_homework_id_")
    private Long studentCourseHomeworkId;
    /**
     * 留言人编号
     */
    @TableField("user_id_")
    private Integer userId;
    /**
     * 留言内容
     */
    @TableField("content_")
    private String content;
    @TableField("create_time_")
    private Date createTime;
    /**
     * 父级编号
     */
    @TableField("parent_id_")
    private Long parentId;


    public Long getId() {
        return id;
    }

    public StudentCourseHomeworkReply setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getStudentCourseHomeworkId() {
        return studentCourseHomeworkId;
    }

    public StudentCourseHomeworkReply setStudentCourseHomeworkId(Long studentCourseHomeworkId) {
        this.studentCourseHomeworkId = studentCourseHomeworkId;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public StudentCourseHomeworkReply setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getContent() {
        return content;
    }

    public StudentCourseHomeworkReply setContent(String content) {
        this.content = content;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentCourseHomeworkReply setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Long getParentId() {
        return parentId;
    }

    public StudentCourseHomeworkReply setParentId(Long parentId) {
        this.parentId = parentId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentCourseHomeworkReply{" +
        ", id=" + id +
        ", studentCourseHomeworkId=" + studentCourseHomeworkId +
        ", userId=" + userId +
        ", content=" + content +
        ", createTime=" + createTime +
        ", parentId=" + parentId +
        "}";
    }
}
